Bug 65095 - New port: sysutils/jailadmin A system to manage jail services
Summary: New port: sysutils/jailadmin A system to manage jail services
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clement Laforet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-02 18:50 UTC by Kirk Strauser
Modified: 2004-04-13 09:50 UTC (History)
0 users

See Also:


Attachments
jailadmin-port (2.42 KB, text/plain)
2004-04-02 18:50 UTC, Kirk Strauser
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kirk Strauser 2004-04-02 18:50:21 UTC
This is a system to manage a number of named jail servers.  It provides a
convenient command line utility to start, stop, and monitor servers; a fast,
parallelized shutdown utility; and SNMP monitoring.
Comment 1 Clement Laforet freebsd_committer 2004-04-02 21:07:16 UTC
On Fri, 2 Apr 2004 11:49:30 -0600 (CST)
Kirk Strauser <kirk@strauser.com> wrote:
<snip>
> X.if defined(WITH_SNMP)
> X.if exists(${LOCALBASE}/lib/libsnmp.so.4) || defined(WITH_SNMP4)
> XLIB_DEPENDS+=   snmp.4:${PORTSDIR}/net-mgmt/net-snmp4
> X.else
> XLIB_DEPENDS+=   netsnmp.6:${PORTSDIR}/net-mgmt/net-snmp
> X.endif
<snip>
> X.include <bsd.port.mk>

you have to use <bsd.port.pre.mk> and <bsd.port.post.mk> because
${LOCALBASE} is undefined when you check if libsnmp.so.4 exists.

clem
Comment 2 Kirk Strauser 2004-04-02 21:53:42 UTC
At 2004-04-02T20:07:16Z, Clement Laforet <clement@FreeBSD.org> writes:

> you have to use <bsd.port.pre.mk> and <bsd.port.post.mk> because
> ${LOCALBASE} is undefined when you check if libsnmp.so.4 exists.


Yep.  I didn't catch that before.  Here's a newer version that's fixed and
that refers to a newer version of the package:

############################################################
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#	pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# New ports collection makefile for:	jailadmin
X# Date created:				02 Apr 2004
X# Whom:					Kirk Strauser <kirk@strauser.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	jailadmin
XPORTVERSION=	1.7
XCATEGORIES=	sysutils
XMASTER_SITES=	http://subwiki.honeypot.net/pub/Freebsd/JailAdmin/
XDISTNAME=	jailadmin-${PORTVERSION}
X
XMAINTAINER=	kirk@strauser.com
XCOMMENT=	A system for managing a set of named jails
X
XUSE_PERL5=	yes
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_SNMP)
X.if exists(${LOCALBASE}/lib/libsnmp.so.4) || defined(WITH_SNMP4)
XLIB_DEPENDS+=   snmp.4:${PORTSDIR}/net-mgmt/net-snmp4
X.else
XLIB_DEPENDS+=   netsnmp.6:${PORTSDIR}/net-mgmt/net-snmp
X.endif
XPLIST_SUB+=     SNMP=""
X.else
XINSTALL_TARGET=	installbase
XPLIST_SUB+=     SNMP="@comment "
X.endif
X
Xpre-everything::
X	@${ECHO}
X	@${ECHO} "You can build ${PKGNAME} with the following options:"
X	@${ECHO} "WITH_SNMP     install the additional SNMP management components"
X	@${ECHO}
X
Xpre-install:
X	${SED} -i -e "s#^SITEPERLDIR=.*#SITEPERLDIR= ${SITE_PERL}#" ${WRKSRC}/Makefile
X
X.include <bsd.port.post.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (jailadmin-1.7.tar.gz) = 33e58dfe0f5cfaa1c10ba96f112b138f
XSIZE (jailadmin-1.7.tar.gz) = 10121
END-of-distinfo
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XJailAdmin is a system for managing a set of named jails.  It provides:
X
X - A command line utility for starting and stopping named jails.
X
X - An efficient method for shutting down a large number of jails in
X   parallel.
X
X - A simple configuration syntax.
X
X - SNMP monitoring facilities.
X
XIt is designed to provide more flexible functionality than FreeBSD's own
Xrc.d/jail script, and should provide a complete superset of features.
X
XWWW: http://subwiki.honeypot.net/cgi-bin/view/Freebsd/JailAdmin
X
X- Kirk Strauser
Xkirk@strauser.com
END-of-pkg-descr
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xetc/jailadmin.conf.sample
Xetc/rc.d/zzz-jail.sh
X%%SITE_PERL%%/Jail.pm
X%%SNMP%%sbin/jail-snmp
Xsbin/jailadmin
X%%DOCSDIR%%/INSTALL
X%%DOCSDIR%%/README
X%%SNMP%%share/snmp/mibs/JAIL-MIB.txt
X@dirrm %%DOCSDIR%%
END-of-pkg-plist
exit
############################################################
Comment 3 Clement Laforet freebsd_committer 2004-04-02 21:56:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

I'll take care of this one.
Comment 4 Clement Laforet freebsd_committer 2004-04-13 09:49:49 UTC
State Changed
From-To: open->closed

New port added, thanks !